netatalk: dalloc.h File Reference

netatalk 4.5.1
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
dalloc.h File Reference
`#include <talloc.h>`

Go to the source code of this file.

## Data Structures
struct | DALLOC_CTX

## Macros
#define | DALLOC_H
#define | dalloc_add_copy(d, obj, type)
#define | dalloc_add(d, obj, type)

## Functions
int | dalloc_add_talloc_chunk (DALLOC_CTX *dd, void *talloc_chunk, void *obj, size_t size)
void * | dalloc_get (const DALLOC_CTX *d,...)
| Get pointer to value from a DALLOC object.
void * | dalloc_value_for_key (const DALLOC_CTX *d,...)
char * | dalloc_strdup (const void *ctx, const char *string)
char * | dalloc_strndup (const void *ctx, const char *string, size_t n)

## Macro Definition Documentation

## ◆ dalloc_add

#define dalloc_add | ( |  | d,
|  |  | obj,
|  |  | type )

Value:
dalloc_add_talloc_chunk((d), NULL, (obj), 0)
dalloc_add_talloc_chunk
int dalloc_add_talloc_chunk(DALLOC_CTX *dd, void *talloc_chunk, void *obj, size_t size)
Definition dalloc.c:168
obj
static AFPObj obj
Definition netatalk.c:69
NULL
#define NULL
Definition utf8util.c:47

## ◆ dalloc_add_copy

#define dalloc_add_copy | ( |  | d,
|  |  | obj,
|  |  | type )

Value:
dalloc_add_talloc_chunk((d), talloc((d), type), (obj), sizeof(type))
type
static enum op type
Definition nad_cp.c:96

## ◆ DALLOC_H

#define DALLOC_H

## Function Documentation

## ◆ dalloc_add_talloc_chunk()

int dalloc_add_talloc_chunk | ( | DALLOC_CTX * | dd,
|  | void * | talloc_chunk,
|  | void * | obj,
|  | size_t | size )
| extern

Use dalloc_add_copy() macro, not this function

## ◆ dalloc_get()

void * dalloc_get | ( | const DALLOC_CTX * | d,
|  |  | ... )
| extern

Get pointer to value from a DALLOC object.

Returns pointer to object from a DALLOC object. Nested object interation is supported by using the type string "DALLOC_CTX". Any other type string designates the requested objects type.

## ◆ dalloc_strdup()

char * dalloc_strdup | ( | const void * | ctx,
|  | const char * | string )
| extern

## ◆ dalloc_strndup()

char * dalloc_strndup | ( | const void * | ctx,
|  | const char * | string,
|  | size_t | n )
| extern

## ◆ dalloc_value_for_key()

void * dalloc_value_for_key | ( | const DALLOC_CTX * | d,
|  |  | ... )
| extern